#pragma once

#include "../Implicit.hpp"

class TestImplicitSphere: public ImplicitSurface {
    public:
        TestImplicitSphere(const Point& center, double r):
            ImplicitSurface(center), radius(r) {}
        virtual double operator()(double x, double y, double z) const;

        virtual Point location_hint() const;

    private:
        double radius;
};
